Subject: Re: bug#4898: 23.1; vc-hg.el: doesn't work over TRAMP

From: Michael Albinus <[email-masked]>
Date: Tue, 10 Nov 2009 18:49:42 +0100

[email-masked] writes:

> AFAICT, vc-hg currently just won't work over TRAMP.  I wish it did.
> I think this is vc-hg's problem, because vc-rcs and (IIRC) vc-darcs
> both work over TRAMP.
>
> I'm using mercurial 1.3.1-1 and Emacs 23.1 on both hosts (local and
> remote).  They are both running Debian Squeeze/Sid.

I guess the following patch should have fixed this:

2009-10-28  Bernhard Herzog  <[email-masked]>  (tiny change)

	* vc-hg.el (vc-hg-state, vc-hg-working-revision): Use process-file so
	it works on remote files.
	(vc-hg-diff): Don't pass any `--cwd' argument.

A recent Emacs snapshot of Debian shall fix it for you.

Best regards, Michael.